
Foreman - Bug #1948

VMware creation: vm with multiple disks fail

11/15/2012 07:57 AM - Siert Z.

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: VM management   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While testing the https://github.com/ohadlevy/foreman.git branch vmware (cloned @ 15th november 2012) I get the following error

when creating a VM with multiple harddisks:

Oops, we're sorry but something went wrong

x failed to create vm: InvalidDeviceSpec: Invalid configuration for device '3'.

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing s

ystem, You would probably need to attach the Full trac>

RbVmomi::Fault

failed to create vm: InvalidDeviceSpec: Invalid configuration for device '3'.

lib/foreman/model/vmware.rb:73:in `create_vm'

app/controllers/compute_resources_vms_controller.rb:18:in `create'

History

#1 - 11/15/2012 12:42 PM - Sam Kottler

- Assignee set to Ohad Levy

#2 - 11/23/2012 02:58 PM - Siert Z.

- File add_disk_failure.txt added

Attached a full trace.

#3 - 11/23/2012 02:59 PM - Ohad Levy

can you attach foreman log it self? I need the parameters passed

thanks!

#4 - 12/18/2012 11:20 AM - Sam Kottler

- Status changed from New to Need more information

- Assignee changed from Ohad Levy to Sam Kottler

Siert, can you provide the log that Ohad asked for? I'm going to work on this issue, but the params are always helpful :-)

#5 - 12/18/2012 11:30 AM - Siert Z.

- File fulltrace_disk.txt added

- File parameters_disk.txt added

There you go.

#6 - 12/27/2012 09:58 AM - Ohad Levy
https://github.com/ohadlevy/foreman.git


- Status changed from Need more information to Ready For Testing

- Assignee changed from Sam Kottler to Ohad Levy

I've found the issue and its in fog code, I've sent a pull request https://github.com/fog/fog/pull/1424 to fix it.

in the meanwhile, you can try to patch the fog code directly (as the link above)

thanks!

#7 - 01/02/2013 07:38 AM - Ohad Levy

actually, it was https://github.com/fog/fog/pull/1437

and I've pushed it upstream to fog, so, once a newer fog version is out, you're covered.

#8 - 01/02/2013 07:38 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

add_disk_failure.txt 14.2 KB 11/23/2012 Siert Z.

fulltrace_disk.txt 14.2 KB 12/18/2012 Siert Z.

parameters_disk.txt 32 KB 12/18/2012 Siert Z.
